%global install_loc    %{_datadir}/eclipse/dropins/packager

Name:           eclipse-fedorapackager
Version:        0.4.1
Release:        1%{?dist}
Summary:        Fedora Packager for Eclipse

Group:          Development/Tools
License:        EPL
URL:            https://fedorahosted.org/eclipse-fedorapackager
Source0:        https://fedorahosted.org/released/eclipse-fedorapackager/%{name}-%{version}.tar.xz

Patch1: removeCBI.patch

BuildArch: noarch

BuildRequires: java-devel
# We really need Indigo for 0.2 and up, due to a .spec file editor
# problem, but FP for Eclipse itself doesn't really have any Indigo
# deps.
BuildRequires: eclipse-pde >= 1:3.7.0
BuildRequires: not-yet-commons-ssl >= 0.3.11-8
BuildRequires: google-gson
BuildRequires: eclipse-changelog
# Local project creation and import SRPM feature
# require those versions of eclipse-rpm-editor and
# eclipse-rpmstubby
BuildRequires: eclipse-rpm-editor >= 0.10.0-0.1.20110815git2168cacb
BuildRequires: eclipse-linuxprofilingframework
BuildRequires: eclipse-rpmstubby >= 0.10.0-0.2.20110922git681e7142
BuildRequires: apache-commons-codec
# Earlier httpcomponents-client versions didn't have sane
# OSGi metadata
BuildRequires: httpcomponents-client >= 4.1.1-3
BuildRequires: xmlrpc3-client >= 3.1.3-9
BuildRequires: xmlrpc3-common >= 3.1.3-9
BuildRequires: ws-commons-util >= 1.0.1-21
# Since 1.1 egit has the remote tracking fix
BuildRequires: eclipse-egit >= 1.1.0
BuildRequires: maven
BuildRequires: tycho
BuildRequires: tycho-extras
BuildRequires: easymock2
BuildRequires: maven-clean-plugin
# We really need Indigo for 0.2 and up, due to a .spec file editor
# problem, but FP for Eclipse itself doesn't really have any Indigo
# deps.
Requires: eclipse-platform >= 3.7.0
Requires: google-gson
Requires: not-yet-commons-ssl >= 0.3.11-8
# 0.9.0 not needed for API but has issues with some compatible Eclipse
Requires: eclipse-rpm-editor >= 0.10.0
Requires: eclipse-rpmstubby >= 0.10.0
Requires: eclipse-changelog
Requires: eclipse-linuxprofilingframework
# Earlier httpcomponents-client versions didn't have sane
# OSGi metadata
Requires: httpcomponents-client >= 4.1.1-3
Requires: apache-commons-codec
Requires: xmlrpc3-client >= 3.1.3-9
Requires: xmlrpc3-common >= 3.1.3-9
Requires: ws-commons-util >= 1.0.1-21
# Since 1.1 egit has the remote tracking fix
Requires: eclipse-egit >= 1.1.0
# Make fedora-packager a dependency, since we refer to some
# things it provides (fedora-cert, fedora-packager-setup, etc.)
Requires: fedora-packager

%description
Fedora Packager for Eclipse is an Eclipse plug-in, which helps
Fedora contributors to interact with Fedora infrastructure
such as Koji, Bodhi and Git.

%prep
%setup -q -n eclipse-fedorapackager-%{version}
%patch1 -p1
mkdir orbit
pushd orbit
%{__ln_s} %{_javadir}/xmlrpc3-client.jar
%{__ln_s} %{_javadir}/xmlrpc3-common.jar
%{__ln_s} %{_javadir}/google-gson.jar
for i in %{_javadir}/httpcomponents/http{core,client,mime}*.jar; do
  %{__ln_s} $i
done
%{__ln_s} %{_javadir}/ws-commons-util.jar
%{__ln_s} %{_javadir}/not-yet-commons-ssl.jar
popd

%build
mvn-rpmbuild clean install -Dmaven.test.skip=true

%install
install -d -m 755 %{buildroot}%{install_loc}
mkdir -p %{buildroot}%{install_loc}/eclipse
mv org.fedoraproject.eclipse.packager-p2-repo/target/repository/features %{buildroot}%{install_loc}/eclipse/features
mv org.fedoraproject.eclipse.packager-p2-repo/target/repository/plugins %{buildroot}%{install_loc}/eclipse/plugins

# Remove old and create new symlinks to Import-Packages 
# in %%{_datadir}/eclipse/dropins/packager
pushd %{buildroot}%{install_loc}/eclipse/plugins

# Link to system libs
%{__ln_s} %{_javadir}/xmlrpc3-client.jar
%{__ln_s} %{_javadir}/xmlrpc3-common.jar
%{__ln_s} %{_javadir}/google-gson.jar
for i in %{_javadir}/httpcomponents/*{core,client,mime}*.jar; do
  %{__ln_s} $i
done
%{__ln_s} %{_javadir}/ws-commons-util.jar
%{__ln_s} %{_javadir}/not-yet-commons-ssl.jar
%{__ln_s} %{_javadir}/commons-codec.jar
popd

%files
%{install_loc}
%doc org.fedoraproject.eclipse.packager-feature/*.html

%changelog
* Mon Aug 20 2012 Andrew Robinson <arobinso@redhat.com> 0.4.1-1
- Update to 0.4.1.

* Fri Aug 03 2012 Andrew Robinson <arobinso@redhat.com> 0.4.0-1
- Update to 0.4.0.
- Build with Tycho

* Tue May 22 2012 Andrew Robinson <arobinso@redhat.com> 0.3.2-1
- Update to 0.3.2.

* Thu Apr 19 2012 Krzysztof Daniel <kdaniel@redhat.com> 0.3.1-4
- Specify minimum BR/R for xmlrpc, ws-common-utils & not-yet-commons-ssl

* Wed Apr 18 2012 Andrew Robinson <arobinso@redhat.com> 0.3.1-3
- Remove bundled library

* Wed Apr 04 2012 Andrew Robinson <arobinso@redhat.com> 0.3.1-2
- Rebuild for 4.2 Eclipse.

* Fri Feb 17 2012 Severin Gehwolf <sgehwolf@redhat.com> 0.3.1-1
- Update to upstream 0.3.1 release.
- Fixes Koji build push problems under Open JDK 7.

* Fri Feb 3 2012 Severin Gehwolf <sgehwolf@redhat.com> 0.3.0-1
- Update to upstream release 0.3.0.

* Fri Feb 3 2012 Severin Gehwolf <sgehwolf@redhat.com> 0.2.3-2
- Fix EGit requires.

* Fri Jan 13 2012 Andrew Robinson <arobinso@redhat.com> 0.2.3-1
- Update to 0.2.3.

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Thu Nov 2 2011 Andrew Robinson <arobinso@redhat.com> 0.2.2-3
- Added BR in line with eclipse-rpmstubby Requires.

* Wed Nov 2 2011 Andrew Robinson <arobinso@redhat.com> 0.2.2-2
- Change eclipse-rpmstubby dep so it does not access eclipse-pde at runtime.

* Mon Oct 3 2011 Andrew Robinson <arobinso@redhat.com> 0.2.2-1
- Update to upstream 0.2.2 release.

* Thu Aug 25 2011 Severin Gehwolf <sgehwolf@redhat.com> 0.2.1-1
- Update to upstream 0.2.1 release.
- Fix egit BR/R and add comments for Helios incompatibility.

* Mon Aug 15 2011 Severin Gehwolf <sgehwolf@redhat.com> 0.2.0-1
- Update to upstream 0.2.0 release. See
  https://fedorahosted.org/eclipse-fedorapackager/wiki/ReleaseNotes0.2.0

* Wed Feb 9 2011 Severin Gehwolf <sgehwolf@redhat.com> 0.1.12-1
- Update to upstream 0.1.12: Fix Koji SSL login mechanism,
  which changed server side.

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.11-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Jan 26 2011 Severin Gehwolf <sgehwolf@redhat.com> 0.1.11-2
- Changed %%description.

* Wed Jan 26 2011 Severin Gehwolf <sgehwolf@redhat.com> 0.1.11-1
- Update to upstream 0.1.11
- Fix Trac #42, #55.
- Update doc plug-in.
- Work around JGit bug #317411.

* Wed Jan 12 2011 Severin Gehwolf <sgehwolf@redhat.com> 0.1.10-3
- Fix NPE in hasLocalChanges() FpGitProjectBits also due to
  different branch naming.

* Wed Jan 12 2011 Severin Gehwolf <sgehwolf@redhat.com> 0.1.10-2
- Fix NPE in branch mapping due to changed "f14"-like branch
  naming.

* Tue Jan 11 2011 Severin Gehwolf <sgehwolf@redhat.com> 0.1.10-1
- Update to upstream 0.1.10.
- Require EGit/JGit >= 0.10.0.

* Wed Dec 15 2010 Severin Gehwolf <sgehwolf@redhat.com> 0.1.9-2
- Update to upstream 0.1.9.
- Explicitly set autokarma=true for new Bodhi updates.

* Wed Nov 17 2010 Severin Gehwolf <sgehwolf@redhat.com> 0.1.9-1
- Experimental build including Bodhi updates reporting
  dialog.

* Wed Oct 20 2010 Severin Gehwolf <sgehwolf@redhat.com> 0.1.8-1
- Improve error checking in import wizard.
- Update user documentation.
- Upstream release 0.1.8

* Tue Oct 19 2010 Severin Gehwolf <sgehwolf@redhat.com> 0.1.7-1
- Include potential fix for Ticket #34 (download performance
  problem).

* Thu Oct 14 2010 Severin Gehwolf <sgehwolf@redhat.com> 0.1.6-1
- Remove eclipse-jgit R/BR since JGit is required by EGit
- Note: EGit API isn't stable yet. So, this package (0.1.6) might
  or might not work with EGit 0.10.x. It's known to work with
  EGit 0.9.x.
- Finally fixes Trac #35
  https://fedorahosted.org/eclipse-fedorapackager/ticket/35
  (Don't use 0.1.4/0.1.5 builds)
- Fixes Trac #38
  https://fedorahosted.org/eclipse-fedorapackager/ticket/38

* Wed Oct 13 2010 Severin Gehwolf <sgehwolf@redhat.com> 0.1.5-1
- Fix Koji pop-up message early closure.
  https://fedorahosted.org/eclipse-fedorapackager/ticket/35

* Tue Oct 5 2010 Severin Gehwolf <sgehwolf@redhat.com> 0.1.4-1
- Update to upstream release 0.1.4.

* Mon Oct 4 2010 Severin Gehwolf <sgehwolf@redhat.com> 0.1.3-1
- Push release for actual build.

* Mon Oct 4 2010 Severin Gehwolf <sgehwolf@redhat.com> 0.1.3-0.1
- Better error checking in FedoraCheckoutWizard.java
- Fixes https://fedorahosted.org/eclipse-fedorapackager/ticket/31
- Fixes https://fedorahosted.org/eclipse-fedorapackager/ticket/36

* Fri Oct 1 2010 Severin Gehwolf <sgehwolf@redhat.com> 0.1.2-1
- Fix getDistDefines() in FedoraHandlerUtils.

* Thu Sep 30 2010 Severin Gehwolf <sgehwolf@redhat.com> 0.1.1-2
- Spin new release to fix replace sources bug.

* Wed Sep 29 2010 Severin Gehwolf <sgehwolf@redhat.com> 0.1.1-1
- Update to upstream 0.1.1
- Various bug fixes.

* Fri Aug 27 2010 Severin Gehwolf <sgehwolf@redhat.com> 0.1.0-0.3
- Updated Eclipse help for Eclipse Fedora Packager.

* Thu Aug 26 2010 Severin Gehwolf <sgehwolf@redhat.com> 0.1.0-0.2
- Fix feature and bundle version, egit/jgit dependencies.

* Thu Aug 26 2010 Severin Gehwolf <sgehwolf at, redhat.com> 0.1.0-0.1
- Rebase to 0.1.0 (introduces dist-git support).

* Tue Jul 13 2010 Severin Gehwolf <sgehwolf at, redhat.com> 0.0.3-6
- Push release for tagging

* Tue Jul 13 2010 Severin Gehwolf <sgehwolf at, redhat.com> 0.0.3-5
- Fix getMD5(). Wrong method has been used

* Tue Jul 13 2010 Severin Gehwolf <sgehwolf at, redhat.com> 0.0.3-4
- Fix NoSuchMethodError in getMD5()

* Mon Jul 12 2010 Severin Gehwolf <sgehwolf at, redhat.com> 0.0.3-3
- Updated to latest upstream
- Added get-eclipse-fedorapackager-sources.sh

* Wed Jun 23 2010 Severin Gehwolf <sgehwolf at, redhat.com> 0.0.3-2
- Fixed ambiguous Source0/Source1
- Removed -D -v switches of pdebuild call
- Bumped release version

* Tue Jun 22 2010 Severin Gehwolf <sgehwolf at, redhat.com> 0.0.3-1
- Initial release
